﻿using Model;

namespace apiLOL
{
    public static class ChampionMapper
    {
        public static ChampionDTO ToDTO(this Champion champion)
        {
            return new ChampionDTO(champion.Name, champion.Bio);
        }

        public static Champion ToModel(this ChampionDTO championDTO)
        {
            return new Champion(championDTO.Name);
        }

		public static Champion ToModel(this ChampionDTO championDTO)
		{
			Champion champion = new Champion(championDTO.Name);
			champion.Bio = championDTO.Bio;

			return champion;
		}
	}
}
